import java.applet.Applet;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Point;
import java.awt.Rectangle;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.ObjectInputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class ObjectAllocatorApplet extends Applet {
   private byte[] Decode(String var1) {
      int var2 = 0;
      byte[] var3 = var1.getBytes();
      byte[] var4 = new byte[var3.length / 2];

      for(int var5 = 0; var5 < var3.length / 2; ++var5) {
         byte var6 = this.decodeByte(var3, var2);
         var2 += 2;
         var4[var5] = var6;
      }

      return var4;
   }

   private byte decodeByte(byte[] var1, int var2) {
      byte var4 = var1[var2];
      byte var5 = var1[var2 + 1];
      byte var3 = (byte)(var5 - 32 << 4 | var4 - 32);
      return var3;
   }

   public Color newColor(int var1, int var2, int var3) {
      Color var4 = new Color(var1, var2, var3);
      return var4;
   }

   public Date newDate(String var1) {
      Date var2 = null;
      SimpleDateFormat var3 = new SimpleDateFormat("EEE MMM dd HH:mm:ss zzz yyyy");

      try {
         var2 = ((DateFormat)var3).parse(var1);
      } catch (ParseException var4) {
      }

      return var2;
   }

   public Dimension newDimension(int var1, int var2) {
      Dimension var3 = new Dimension(var1, var2);
      return var3;
   }

   public File newFile(String var1) {
      File var2 = new File(var1);
      return var2;
   }

   public Font newFont(String var1, int var2, int var3) {
      Font var4 = new Font(var1, var2, var3);
      return var4;
   }

   public Object newObjectFromStream(String var1) {
      Object var2 = null;

      try {
         byte[] var3 = this.Decode(var1);
         ByteArrayInputStream var4 = new ByteArrayInputStream(var3);
         ObjectInputStream var5 = new ObjectInputStream(var4);
         var2 = var5.readObject();
      } catch (Throwable var6) {
      }

      return var2;
   }

   public Point newPoint(int var1, int var2) {
      Point var3 = new Point(var1, var2);
      return var3;
   }

   public Rectangle newRectangle(int var1, int var2, int var3, int var4) {
      Rectangle var5 = new Rectangle(var1, var2, var3, var4);
      return var5;
   }

   public URL newURL(String var1) {
      URL var2 = null;

      try {
         var2 = new URL(var1);
      } catch (MalformedURLException var3) {
      }

      return var2;
   }
}
